import { Locator } from "@playwright/test";
import { NaturalNumber } from "../../utils/numberAndIndex";
export interface Dropdown {
    el: Locator;
    item: Locator;
    itemByTitle(itemTitle: string): Locator;
    itemByNumber(number: NaturalNumber): Locator;
    actionsLength(): Promise<number>;
    isExist(): Promise<boolean>;
}
export declare function getDropdown(parentEl: Locator): Dropdown;
