import { Locator } from "@playwright/test";
import { Page } from "../../../../page";
import { IControl } from "../controls";
export declare class SelectControl implements IControl {
    private parentEl;
    type: "select";
    el: Locator;
    constructor(parentEl: Locator);
    getOption(textValue: string): Locator;
    isExistAsync(): Promise<boolean>;
    displayValueAsync(): Promise<string>;
    isReadonly(): Promise<boolean>;
}
export declare function getSelect(parentEl: Locator): SelectControl;
export declare function setSelectControlValue(page: Page, selectControl: SelectControl, value: string): Promise<void>;
