"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFormToolbar = void 0;
const toolbar_1 = require("../../toolbar/toolbar");
function getFormToolbar(parentEl) {
    const toolbar = (0, toolbar_1.getToolbar)(parentEl);
    return Object.assign(Object.assign({}, toolbar), { get saveRefresh() {
            return toolbar.item("save-refresh");
        },
        get close() {
            return toolbar.item("close");
        } });
}
exports.getFormToolbar = getFormToolbar;
