"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const cucumber_1 = require("@cucumber/cucumber");
const test_1 = require("@playwright/test");
const form_steps_1 = require("../form.steps");
(0, cucumber_1.Then)("запись находится в стадии {string}.", function (workflowTitle) {
    return __awaiter(this, void 0, void 0, function* () {
        const form = yield (0, form_steps_1.getForm)(this);
        (0, test_1.expect)(form.workflow.title).toHaveText(workflowTitle);
    });
});
