import { Locator } from "@playwright/test";
import { NaturalNumber } from "../../../../utils/numberAndIndex";
import { HeaderRow } from "../../headerRow/headerRow";
import { ToggleableCell } from "../hierarchy/hierarchyRow";
import { GroupingChildRow } from "./groupingChildRow";
import { Icon } from "../../../icon/icon";
export interface GroupingRow {
    el: Locator;
    getChildDataRow(number: NaturalNumber, headerRow: HeaderRow): GroupingChildRow;
    takeByNumber(number: number): void;
    getToggleableCell(): ToggleableCell;
    isOpen(): Promise<boolean>;
    isCollapsed(): Promise<boolean>;
    readonly toggler: Locator;
    readonly formOpener: Locator;
    readonly labelIcon: Icon;
    readonly labelMark: Locator;
}
export declare function getGroupingRow(tbody: Locator, groupLabelsHierarchy: string): GroupingRow;
