import { Locator } from "@playwright/test";
export declare class HierarchicalList {
    private parentEl;
    constructor(parentEl: Locator);
    el: Locator;
    item(title: string): HierarchicalListItem;
    divider(title: string): {
        header: Locator;
        list: HierarchicalList;
    };
    items(): Promise<HierarchicalListItem[]>;
}
export declare class HierarchicalListItem {
    el: Locator;
    constructor(el: Locator);
    content: Locator;
    list: HierarchicalList;
    toggler: Locator;
    isParent(): Promise<boolean>;
    isOpen(): Promise<boolean>;
    isActive(): Promise<boolean>;
}
