import { Page } from "../page";
export interface NodePath {
    app?: string;
    topNav?: string;
    leftNav?: LeftNavPath;
}
export declare type LeftNavPath = string[] | undefined;
export declare class Runner {
    private page;
    private logger;
    private appHelper;
    private errorHandler;
    private resultManager;
    constructor(page: Page);
    run(): Promise<void>;
    private getNextNode;
    private checkNode;
    private handleError;
    private timer;
    private withTimeLimit;
}
/**
 * Только с модулем mdt.apps
 */
export declare function navRunnerStep(this: Page): Promise<void>;
