"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getIndexes = void 0;
function getIndexes(target, source, onNotExist) {
    return target.reduce((acc, key) => {
        const columnIndex = source.findIndex((v) => v == key);
        if (columnIndex == -1)
            onNotExist === null || onNotExist === void 0 ? void 0 : onNotExist(key);
        acc[key] = columnIndex;
        return acc;
    }, {});
}
exports.getIndexes = getIndexes;
