"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.restoreSnapshot = exports.forceCreateSnapshot = exports.createSnapshot = void 0;
function createSnapshot() {
    return global.cucumberPage.evaluate(() => {
        var _a;
        // @ts-ignore
        const createSnapshot = (_a = MDT === null || MDT === void 0 ? void 0 : MDT.CommandManager) === null || _a === void 0 ? void 0 : _a.getCommand("mdt.devtools.createSnapshot");
        if (!createSnapshot)
            throw new Error("Команда создания снапшота не найдена");
        return createSnapshot.execute();
    });
}
exports.createSnapshot = createSnapshot;
function forceCreateSnapshot() {
    return global.cucumberPage.evaluate(() => {
        var _a;
        // @ts-ignore
        const createSnapshot = (_a = MDT === null || MDT === void 0 ? void 0 : MDT.CommandManager) === null || _a === void 0 ? void 0 : _a.getCommand("mdt.devtools.forceCreateSnapshot");
        if (!createSnapshot)
            throw new Error("Команда принудительного создания снапшота не найдена");
        return createSnapshot.execute();
    });
}
exports.forceCreateSnapshot = forceCreateSnapshot;
function restoreSnapshot() {
    return global.cucumberPage.evaluate(() => {
        var _a;
        // @ts-ignore
        const restoreSnapshot = (_a = MDT === null || MDT === void 0 ? void 0 : MDT.CommandManager) === null || _a === void 0 ? void 0 : _a.getCommand("mdt.devtools.restoreSnapshot");
        if (!restoreSnapshot)
            throw new Error("Команда восстановления снапшота не найдена");
        return restoreSnapshot.execute();
    });
}
exports.restoreSnapshot = restoreSnapshot;
