"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.applyDebugMode = void 0;
const DEBUG_ENV_VARIABLE = "PWDEBUG";
function applyDebugMode(debugMode) {
    if (!debugMode)
        return;
    if (debugMode == "browser")
        process.env[DEBUG_ENV_VARIABLE] = "console";
    if (debugMode == "inspectTool")
        process.env[DEBUG_ENV_VARIABLE] = "1";
}
exports.applyDebugMode = applyDebugMode;
