"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const test_1 = require("@playwright/test");
const cucumber_1 = require("@cucumber/cucumber");
(0, cucumber_1.When)("выбираем команду {string}.", function (commandName) {
    return __awaiter(this, void 0, void 0, function* () {
        const command = this.commandMenu.command(commandName);
        yield (0, test_1.expect)(command).toBeVisible();
        yield command.click();
    });
});
(0, cucumber_1.Then)("появляется меню быстрых команд.", function () {
    return __awaiter(this, void 0, void 0, function* () {
        yield this.commandMenu.el.waitFor();
        yield (0, test_1.expect)(this.commandMenu.el).toBeVisible();
    });
});
(0, cucumber_1.Then)("меню быстрых закрывается.", function () {
    return __awaiter(this, void 0, void 0, function* () {
        yield this.commandMenu.el.waitFor({ state: "hidden" });
        yield (0, test_1.expect)(this.commandMenu.el).toBeHidden();
    });
});
