import { Locator } from "@playwright/test";
import { Control } from "./fieldControls/controls";
export interface Field {
    el: Locator;
    getControl(): Promise<Control>;
    getWidth(): Promise<number>;
    isExist(): Promise<boolean>;
    displayValueAsync(): Promise<string | null>;
    isReadonly(): Promise<boolean>;
    tagMark: Locator;
    error: Locator;
    isLocked(): Promise<boolean>;
}
export declare function getField(parentEl: Locator, fieldName: string): Field;
