import { Locator } from "@playwright/test";
export declare class Gallery {
    private parentEl;
    el: Locator;
    imageDomRect: {
        x: number;
        y: number;
        width: number;
        height: number;
    };
    selectors: {
        gallery: string;
        image: string;
        title: string;
        close: string;
        rotateLeft: string;
        rotateRight: string;
        actionLeft: string;
        actionRight: string;
        download: string;
    };
    constructor(parentEl: Locator);
    waitForExist(): Promise<boolean>;
    get image(): Locator;
    get title(): Locator;
    get close(): Locator;
    get rotateLeft(): Locator;
    get rotateRight(): Locator;
    get actionLeft(): Locator;
    get actionRight(): Locator;
    get download(): Locator;
}
export declare function getGallery(parentEl: Locator): Gallery;
