import { Locator } from "@playwright/test";
import { DatePicker } from "../../../form/Field/fieldControls/date/date";
import { InputControl } from "../../../form/Field/fieldControls/text/text";
export declare type QuickFilter = {
    control: InputControl | QuickFilterDatePicker;
    waitForChange(): Promise<void>;
    showCalendar(): Promise<void>;
};
export declare function getQuickFilter(parentEl: Locator): Promise<QuickFilter>;
declare class QuickFilterDatePicker extends DatePicker {
    private parentEl;
    constructor(parentEl: Locator);
    description: Locator;
}
export {};
