"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const cucumber_1 = require("@cucumber/cucumber");
const list_steps_1 = require("../../list.steps");
const test_1 = require("@playwright/test");
(0, cucumber_1.Then)("запись №{int} несвязанная.", function (rowNumber) {
    return __awaiter(this, void 0, void 0, function* () {
        const list = yield (0, list_steps_1.getList)(this);
        const listRow = yield list.getRow(rowNumber);
        yield (0, test_1.expect)(listRow.el).toHaveClass(/record-source/);
    });
});
(0, cucumber_1.Then)("запись №{int} итоговая.", function (rowNumber) {
    return __awaiter(this, void 0, void 0, function* () {
        const list = yield (0, list_steps_1.getList)(this);
        const listRow = yield list.getRow(rowNumber);
        yield (0, test_1.expect)(listRow.el).toHaveClass(/record-out/);
    });
});
(0, cucumber_1.Then)("запись №{int} связанная.", function (rowNumber) {
    return __awaiter(this, void 0, void 0, function* () {
        const list = yield (0, list_steps_1.getList)(this);
        const listRow = yield list.getRow(rowNumber);
        yield (0, test_1.expect)(listRow.el).toHaveClass(/record-mapped/);
    });
});
