import { Logger } from "./Logger";
interface ErrorInfo {
    definition: string;
    message: string;
}
export declare class ResultManager {
    private messageShower;
    private errors;
    private failedForce;
    constructor(messageShower: Logger);
    addError(info: ErrorInfo): void;
    showResult(): void;
    errorsCount(): number;
    isFailed(): boolean;
    failForce(reason: ErrorInfo): void;
    private buildErrorMessage;
}
export {};
