import { Locator } from "@playwright/test";
export declare class ProgressBar {
    private parentEl;
    constructor(parentEl: Locator);
    el: Locator;
    get loading(): Locator;
    isLoading(): Promise<boolean>;
    get complete(): Locator;
    isComplete(): Promise<boolean>;
    get indeterminate(): Locator;
    isIndeterminate(): Promise<boolean>;
    waitForLoading(): Promise<void>;
    waitForComplete(): any;
    allProgressBars(): Promise<Locator[]>;
}
export declare function getProgressBar(parentEl: Locator): ProgressBar;
