import { Locator } from "@playwright/test";
export declare class TagMenu {
    private parentEl;
    el: Locator;
    form: Locator;
    tag: Locator;
    constructor(parentEl: Locator);
    getField(fieldName: string): Promise<import("../form/Field/field").Field>;
    getAction(actionTitle: string): Locator;
    getTag(tagNumber: number): Tag;
    tagsCount(): Promise<number>;
    getForm(): {
        el: Locator;
        title: Locator;
    };
}
declare class Tag {
    private tagEl;
    constructor(tagEl: Locator);
    el: Locator;
    title: Locator;
    user: Locator;
    date: Locator;
    comment: Locator;
    extMenu: Locator;
}
export {};
