"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getToolbar = void 0;
function getToolbar(parentEl) {
    return {
        el: parentEl,
        item(code) {
            return this.el.locator(`a[code="${code}"]`).first();
        },
        itemByTitle(itemTitle) {
            return this.el.locator(`a:has-text("${itemTitle}")`).first();
        },
        get more() {
            return this.el.locator(`a[code="More"]`);
        }
    };
}
exports.getToolbar = getToolbar;
