import { ITestCaseHookParameter, ITestStepHookParameter } from "@cucumber/cucumber";
declare const FeatureManager: {
    currentFeature: string | undefined;
    failedFeatures: string[];
    context: import("./featureContext").FeatureContext<unknown>;
    getScenarioPath: (scenario: ITestCaseHookParameter) => string;
    isStepFailed(scenario: ITestStepHookParameter): boolean;
    isFailed(scenario: ITestCaseHookParameter): boolean;
    isCompletedOrFailed(scenario: any): boolean;
    isNewFeature(scenario: ITestCaseHookParameter): boolean;
    isFirstFeature(): boolean;
    setCurrent(scenario: ITestCaseHookParameter): void;
    addFailed(scenario: ITestStepHookParameter): void;
    getFailedCount(): number;
    getSkippedState(): string;
    getFileName(): string;
};
export default FeatureManager;
