import { DataTable } from "@cucumber/cucumber";
import { NaturalNumber } from "./numberAndIndex";
export declare type MdtRecord = Record<string, string>;
export declare type DataRow = string[];
/**
 * | Значение 1 | Значение 2 | Значение 3 |
 */
export declare function getRowData(dataTable: DataTable): DataRow;
/**
    значения в матрицу (двумерный массив)
    | [x] | (выбрать все) |
    | [x] | 5             |
    | [x] | 55            |
    | [x] | 555           |
 */
export declare function getRowsData(dataTable: DataTable): DataRow[];
/**
 * @param dataTable - Таблица из двух колонок. Колонки с полем и значением.
 */
export declare function getRecord(dataTable: DataTable): MdtRecord;
export interface ListData {
    hasSelectColumn(): boolean;
    getRecords(): MdtRecord[];
    getHeaderRow(): DataRow;
    getRow(rowNumber: NaturalNumber): DataRow;
    getRows(): DataRow[];
}
export declare function getListData(dataTable: DataTable): ListData;
