import type { E2EMarker as E2EMarkerType, MarkOptions } from "./e2eMarker";
declare class E2eService implements E2EMarkerType {
    mark(el: HTMLElement, ...markOptionsArray: MarkOptions[]): void;
    unmark(el: HTMLElement, keys: string[] | string): void;
    selector(...markOptionsArray: MarkOptions[]): string;
    signIn(login: string, password: string): any;
    private getAttribute;
}
export declare const e2eService: E2eService;
export {};
