import { ModulePage as Page } from "../modulePageObject/page";
import type { StepDefinition } from "../types/types";
export declare type ModulePage = Pick<Page, "locator">;
declare type ModuleStepDefinition = StepDefinition<ModulePage>;
declare const Given: ModuleStepDefinition;
declare const When: ModuleStepDefinition;
declare const Then: ModuleStepDefinition;
export { Given, When, Then };
export { expect } from "@playwright/test";
export { getSelector } from "../utils/getSelector";
export { MDT } from "../modulePageObject/mdt";
export { DataTable } from "@cucumber/cucumber";
