import { Locator } from "@playwright/test";
import { Page } from "../../../../page";
import { IControl } from "../controls";
export declare class DatePicker implements IControl {
    el: Locator;
    type: "datePicker";
    constructor(parentEl: Locator);
    isExistAsync(): Promise<boolean>;
    displayValueAsync(): Promise<string>;
    showCalendar(): Promise<void>;
    get calendar(): Locator;
    get textEl(): Locator;
    get clear(): Locator;
    isReadonly(): Promise<boolean>;
}
export declare function getDatePicker(parentEl: Locator): DatePicker;
export declare function setDatePickerValue(page: Page, date: DatePicker, value: string): Promise<void>;
export declare function clearDatePickerValue(date: DatePicker): Promise<void>;
