import { Locator } from "@playwright/test";
import { Page } from "../../../../page";
import { IControl } from "../controls";
export declare class RadioPicker implements IControl {
    type: "radio";
    el: Locator;
    static selectors: {
        el: string;
        item: string;
    };
    constructor(parentEl: Locator);
    getOption(textValue: string): Locator;
    isExistAsync(): Promise<boolean>;
    displayValueAsync(): Promise<string>;
    isReadonly(): Promise<boolean>;
}
export declare function getRadioPicker(parentEl: Locator): RadioPicker;
export declare function setRadioPickerValue(page: Page, radioPicker: RadioPicker, value: string): Promise<void>;
