import { Locator } from "@playwright/test";
import { Index } from "../../../../utils/numberAndIndex";
import { InputControl } from "../../../form/Field/fieldControls/text/text";
export interface ValuesFilter {
    input: InputControl;
    waitForChange(): Promise<void>;
    waitForLoading(): Promise<void>;
    values: ColumnMenuValues;
}
export declare function getValuesFilter(parentEl: Locator): ValuesFilter;
interface ColumnMenuValues {
    el: Locator;
    readonly selectAllItem: ValueItem;
    get(itemTitle: string): Promise<ValueItem>;
    isAllSelected(): Promise<boolean>;
    scrollToLast(): Promise<void>;
    item(index: Index): ValueItem;
}
interface ValueItem {
    el: Locator;
    title: Locator;
    checkbox: Locator;
    value(): Promise<string>;
}
export {};
