import { DataRow, MdtRecord } from "../../../../utils/tableManager";
import { List } from "../../list";
import { Row } from "../../row/row";
export declare function getNotFoundRecords(records: MdtRecord[], list: List, getRowData: (row: Row) => Promise<DataRow>): Promise<NotFoundRecord[]>;
export declare function showNotFoundRecord(data: NotFoundRecord[]): void;
export interface NotFoundRecord {
    n: number;
    row: DataRow;
    details?: NotFoundRecordDetails[];
}
export interface NotFoundRecordDetails {
    fieldCode: string;
    expected: string;
    received: string;
}
