import { Locator } from "@playwright/test";
import { Container } from "../../utils/contentManager";
import type { Field } from "../form/Field/field";
import { Toolbar } from "../toolbar/toolbar";
export interface Modal extends Container {
    readonly toolbarEl: Locator;
    readonly toolbar: Toolbar;
    getField(fieldName: string): Field;
    close(): Promise<void>;
    getButton(title: string, byCode?: boolean): Promise<Locator>;
    useActive(): void;
}
export declare function getModal(parentEl: Locator): Modal;
