import { NodePath } from "../navRunner";
export declare class Logger {
    level: {
        openNode: number;
        openForm: number;
        result: number;
    };
    show(message: string, pad?: number): void;
    showError(description: string, error: string, pad?: number): void;
    openNode(path: NodePath): string;
    openNodeError(path: NodePath): string;
    openForm(path: NodePath): string;
    openFormError(path: NodePath): string;
    success(): string;
    errorsFound(): string;
    expiredMessage(): string;
    findNextNode(path: NodePath): string;
    private log;
    private PAD_SIZE;
    private START;
    private withPad;
    private getPath;
}
