"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNotification = void 0;
function getNotification(parentEl, textContent) {
    const el = parentEl.locator(".msg .alert").filter({
        hasText: textContent
    });
    return {
        el,
        waitForExist() {
            return __awaiter(this, void 0, void 0, function* () {
                yield el.waitFor();
                return el.isVisible();
            });
        }
    };
}
exports.getNotification = getNotification;
