"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppTiles = void 0;
const getSelector_1 = require("../../../utils/getSelector");
class AppTiles {
    constructor(parentEl) {
        this.parentEl = parentEl;
        this.el = this.parentEl.locator((0, getSelector_1.getSelector)({ testid: "app-tiles" }));
        this.itemEl = this.el.locator("a");
    }
    item(itemTitle) {
        return this.el.locator(`a[code="${itemTitle}"]`);
    }
}
exports.AppTiles = AppTiles;
