"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDateSearchText = void 0;
const dateFormat_1 = require("./dateFormat");
const getDateFromAlias_1 = require("./dateMatcher/getDateFromAlias");
const generateDateRegex_1 = require("./datetimeRegex/generateDateRegex");
const isDateAlias_1 = require("./isDateAlias");
function getDateSearchText(alias) {
    if ((0, isDateAlias_1.isDateAlias)(alias))
        return (0, dateFormat_1.dateFormat)((0, getDateFromAlias_1.getDateFromAlias)(alias), "date");
    if ((0, isDateAlias_1.isDateTimeAlias)(alias))
        return (0, generateDateRegex_1.generateDateRegex)((0, getDateFromAlias_1.getDateFromAlias)(alias));
    return alias;
}
exports.getDateSearchText = getDateSearchText;
