"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isDateTimeAlias = exports.isDateAlias = exports.isDateOrDatimeAlias = void 0;
function isDateOrDatimeAlias(val) {
    return isDateAlias(val) || isDateTimeAlias(val);
}
exports.isDateOrDatimeAlias = isDateOrDatimeAlias;
function isDateAlias(val) {
    var _a;
    const dateAliasReg = /^({текущая дата}|{текущая дата \+ [1-9]{1,2} дней})$/;
    return typeof val == "string" && !!((_a = val.match(dateAliasReg)) === null || _a === void 0 ? void 0 : _a[0]);
}
exports.isDateAlias = isDateAlias;
function isDateTimeAlias(val) {
    var _a;
    const dateAliasReg = /^({текущая дата и время}|{текущая дата \+ [1-9]{1,2} дней и время})$/;
    return typeof val == "string" && !!((_a = val.match(dateAliasReg)) === null || _a === void 0 ? void 0 : _a[0]);
}
exports.isDateTimeAlias = isDateTimeAlias;
