declare type AnyObject = {
    [k: string]: any;
};
export declare function getFeatureContext<Context>(): FeatureContext<Context>;
export interface FeatureContext<Context = AnyObject> {
    getValue<K extends keyof Context>(prop: K): Context[K] | undefined;
    setValue<K extends keyof Context>(prop: K, value: Context[K]): void;
    reset(): void;
}
export {};
