import { Download } from "@playwright/test";
import { Page as CucumberPage } from "@playwright/test";
export declare function getFilePath(fileName: string): string;
export interface FileManagerType {
    init(cucumberPage: CucumberPage): void;
    waitDownload(): Promise<Download>;
}
declare class FileManagerClass {
    private page;
    private lastDownloaded;
    init(cucumberPage: CucumberPage): this;
    waitDownload(): Promise<Download>;
}
export declare const FileManager: FileManagerClass;
export {};
