/**
 * Натуральное число ожидаемое при подсчете элементов пользователем.
 * 1, 2, 3, ...
 */
export declare type NaturalNumber = number;
/**
 * Индекс элемента.
 * -1, 0, 1, 2 ...
 */
export declare type Index = number;
/**
 * Индекс элемента.
 */
export declare function getIndexFromNumber(number: NaturalNumber): Index;
/**
 * Натуральное число ожидаемое при подсчете элементов пользователем.
 */
export declare function getNumberFromIndex(index: Index): NaturalNumber;
