"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildSettings = void 0;
const merge_configurations_1 = require("@cucumber/cucumber/lib/configuration/merge_configurations");
function buildSettings(userSettings, baseCucumberConfig, baseSetupConfig) {
    var _a, _b, _c;
    return {
        cucumberConfiguration: (0, merge_configurations_1.mergeConfigurations)(baseCucumberConfig, {
            paths: userSettings.tests.features,
            require: userSettings.tests.steps,
            forceExit: (_a = userSettings.tests.exitOnEnd) !== null && _a !== void 0 ? _a : true
        }),
        config: Object.assign(Object.assign(Object.assign({}, baseSetupConfig), userSettings.setup), { devTools: (_b = userSettings === null || userSettings === void 0 ? void 0 : userSettings.debug) === null || _b === void 0 ? void 0 : _b.devTools, url: userSettings.app.url, users: userSettings.app.users, defaultUser: userSettings.app.defaultUser }),
        debugMode: (_c = userSettings === null || userSettings === void 0 ? void 0 : userSettings.debug) === null || _c === void 0 ? void 0 : _c.mode
    };
}
exports.buildSettings = buildSettings;
