"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const tryCreateNew_1 = require("../createSettings/tryCreateNew");
const getSettingsFilePath_1 = require("../processSettings/getSettingsFilePath");
function runModule() {
    if (!fs.existsSync((0, getSettingsFilePath_1.getModuleSettingsPath)())) {
        (0, tryCreateNew_1.tryCreateNew)((0, getSettingsFilePath_1.getModuleSettingsPath)());
    }
    else
        runCucumber();
}
exports.default = runModule;
function runCucumber() {
    const configOption = "--config=node_modules/mdt-e2e-dev/lib/settings/module/cucumber.js";
    process.argv.push(configOption);
    require("@cucumber/cucumber/lib/cli/run").default();
}
