"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.commandMenu = void 0;
const text_1 = require("../form/Field/fieldControls/text/text");
function commandMenu(parentEl) {
    const el = parentEl.locator(".command-input");
    const itemsWrapper = el.locator(".command-menu-wrap");
    return {
        el,
        get search() {
            return (0, text_1.getInputControl)(el.locator(".command-input-search")).textEl;
        },
        command(name) {
            return itemsWrapper.locator(`.command-menu-item:has-text("${name}")`);
        }
    };
}
exports.commandMenu = commandMenu;
