import { Locator } from "@playwright/test";
import { NaturalNumber } from "../../../../../utils/numberAndIndex";
export interface FileList {
    el: Locator;
    upload: Locator;
    hasFile(fileName: string): Promise<boolean>;
    file(fileNumber: NaturalNumber): FilesListItem;
}
interface FilesListItem {
    el: Locator;
    title: Locator;
    clear: Locator;
}
export declare function getFilesList(parentEl: Locator): FileList;
export {};
