import { DataTable } from "@cucumber/cucumber";
import { GetFormOptions, Page } from "../page";
import { Field } from "./Field/field";
import { Form } from "./form";
export declare function setManyFieldsValue(page: Page, data: DataTable): Promise<boolean>;
export declare function setFieldValueStep(page: Page, fieldName: string, value: string): Promise<void>;
export declare function clickButtonFromForm(page: Page, buttonTitle: string): Promise<void>;
export declare function expectOpenForm(page: Page, title?: string): Promise<void>;
export declare function formHasList(page: Page, title?: string): Promise<void>;
export declare function expectFieldValue(field: Field, fieldValue: string): Promise<void>;
export declare function setValueByField(page: Page, field: Field, value: string): Promise<void>;
export declare function clearFieldValue(field: Field): Promise<void>;
export declare function waitForFormClosed(page: Page, title?: string): Promise<void>;
export declare function getForm(page: Page, options?: GetFormOptions): Promise<Form>;
