"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getIcon = void 0;
const getSelector_1 = require("../../utils/getSelector");
function getIcon(parentEl, icon) {
    const el = parentEl.locator((0, getSelector_1.getSelector)({
        icon: icon ? icon : null
    }));
    return {
        el,
        getCode() {
            return el.getAttribute((0, getSelector_1.getAttribute)("icon"));
        }
    };
}
exports.getIcon = getIcon;
