import { Locator } from "@playwright/test";
import { Toolbar } from "../../toolbar/toolbar";
export interface ListToolbar extends Toolbar {
    readonly listView: Locator;
    readonly namedFilter: Locator;
    readonly refresh: Locator;
    readonly count: ListCount;
    readonly countItem: Locator;
    readonly more: Locator;
    itemsCount(): Promise<number>;
}
export declare function getListToolbar(parentEl: Locator): ListToolbar;
interface ListCount {
    el: Locator;
    valueVisible(): Promise<boolean>;
    valueIsUnknown(): Promise<boolean>;
    value(): Promise<string>;
}
export {};
