import { Page } from "../../page";
import { NodePath } from "../navRunner";
import { Logger } from "./Logger";
export declare class AppHelper {
    private page;
    private logger;
    private formOpener;
    private nextNodeSearcher;
    private nodeOpener;
    constructor(page: Page, logger: Logger);
    openNode(path: NodePath): Promise<void>;
    getNextNode(currentPath: NodePath): Promise<NodePath>;
    tryOpenForm(path: NodePath): Promise<import("../../form/form").Form>;
}
