"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DialogManager = void 0;
/**
 * Автоматически принимает все диалоговые окна.
 * Например, нажимает принять в окне предупреждения возможной потере изменений, после закрытия формы
 */
class DialogManagerClass {
    init(cucumberPage) {
        cucumberPage.on("dialog", (dialog) => {
            dialog.accept();
        });
    }
}
exports.DialogManager = new DialogManagerClass();
