"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFeatureContext = void 0;
function getFeatureContext() {
    let context = {};
    return {
        getValue(prop) {
            return context[prop];
        },
        setValue(prop, value) {
            context[prop] = value;
        },
        reset() {
            context = {};
        }
    };
}
exports.getFeatureContext = getFeatureContext;
